# HomeGraph API

- [REST Resource: v1.agentUsers](https://developers.home.google.com/reference/home-graph/rest#v1.agentUsers)
- [REST Resource: v1.devices](https://developers.home.google.com/reference/home-graph/rest#v1.devices)

## Service: homegraph.googleapis.com

To call this service, we recommend that you use the Google-provided [client libraries](https://cloud.google.com/apis/docs/client-libraries-explained). If your application needs to use your own libraries to call this service, use the following information when you make the API requests.

### Discovery document

A [Discovery Document](https://developers.google.com/discovery/v1/reference/apis) is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery document:

- <https://homegraph.googleapis.com/$discovery/rest?version=v1>

### Service endpoint

A [service endpoint](https://cloud.google.com/apis/design/glossary#api_service_endpoint) is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

- `https://homegraph.googleapis.com`

## REST Resource: [v1.agentUsers](https://developers.home.google.com/reference/home-graph/rest/v1/agentUsers)

| Methods ||
|---|---|
| `https://developers.home.google.com/reference/home-graph/rest/v1/agentUsers/delete` | `DELETE /v1/{agentUserId=agentUsers/**}` Unlinks the given third-party user from your smart home Action. |

## REST Resource: [v1.devices](https://developers.home.google.com/reference/home-graph/rest/v1/devices)

| Methods ||
|---|---|
| `https://developers.home.google.com/reference/home-graph/rest/v1/devices/query` | `POST /v1/devices:query` Gets the current states in Home Graph for the given set of the third-party user's devices. |
| `https://developers.home.google.com/reference/home-graph/rest/v1/devices/reportStateAndNotification` | `POST /v1/devices:reportStateAndNotification` Reports device state and optionally sends device notifications. |
| `https://developers.home.google.com/reference/home-graph/rest/v1/devices/requestSync` | `POST /v1/devices:requestSync` Requests Google to send an `action.devices.SYNC` [intent](https://developers.home.google.com/cloud-to-cloud/intents/sync) to your smart home Action to update device metadata for the given user. |
| `https://developers.home.google.com/reference/home-graph/rest/v1/devices/sync` | `POST /v1/devices:sync` Gets all the devices associated with the given third-party user. |